#pragma once

#include <QString>

#include "GlTexture.h"

#include <LibQtGeoViewerCore/Transform.h>



namespace gl
{


class MatcapImage
{
public:
	MatcapImage(void);

	void ClearEnv(void);

	void LoadTexture(const char* filename);

	void BindTexture(void);

	bool HasImage(void) const;

	const QString& GetName(void) const;
	void SetName(const QString& name);

public:
	float m_BlendRate;

private:
	gl::GlTexture m_Tex;
	QString m_Name;
};


}
